termscu(1)

NAME
termscu - DICOM termination SCU

SYNOPSIS

termscu [options] peer port

DESCRIPTION

The termscu application implements a Service Class User (SCU) for DCMTK's private Shutdown SOP Class. It tries to negotiate this private Shutdown SOP Class with a Service Class Provider (SCP) which (if this feature is implemented) will immediately shutdown after refusing the association. The application can be used to shutdown some of DCMTK's server applications.

PARAMETERS

peer  hostname of DICOM peer
port  tcp/ip port number of peer

OPTIONS

  general options

  -h    --help
          print this help text and exit
        --version
          print version information and exit
        --arguments
          print expanded command line arguments
  -q    --quiet
          quiet mode, print no warnings and errors
  -v    --verbose
          verbose mode, print processing details
  -d    --debug
          debug mode, print debug information
  -ll   --log-level  [l]evel: string constant
          (fatal, error, warn, info, debug, trace)
          use level l for the logger
  -lc   --log-config  [f]ilename: string
          use config file f for the logger

  network options

IP protocol version:
  -i4   --ipv4
          use IPv4 only (default)
  -i6   --ipv6
          use IPv6 only
  -i0   --ip-auto
          use DNS lookup to determine IP protocol
application entity titles:
  -aet  --aetitle  [a]etitle: string
          set my calling AE title (default: ECHOSCU)
  -aec  --call  [a]etitle: string
          set called AE title of peer (default: ANY-SCP)
other network options:
  -pdu  --max-pdu  [n]umber of bytes: integer (4096..131072)
          set max receive pdu to n bytes (default: 16384)

NOTES

  DICOM Conformance
The termscu application supports the following SOP Classes as an SCU:

PrivateShutdownSOPClass  1.2.276.0.7230010.3.4.1915765545.18030.917282194.0

LOGGING

The level of logging output of the various command line tools and underlying libraries can be specified by the user. By default, only errors and warnings are written to the standard error stream. Using option --verbose also informational messages like processing details are reported. Option --debug can be used to get more details on the internal activity, e.g. for debugging purposes. Other logging levels can be selected using option --log-level. In --quiet mode only fatal errors are reported. In such very severe error events, the application will usually terminate. For more details on the different logging levels, see documentation of module 'oflog'.

In case the logging output should be written to file (optionally with logfile rotation), to syslog (Unix) or the event log (Windows) option --log-config can be used. This configuration file also allows for directing only certain messages to a particular output stream and for filtering certain messages based on the module or application where they are generated. An example configuration file is provided in <etcdir>/logger.cfg.

COMMAND LINE

All command line tools use the following notation for parameters: square brackets enclose optional values (0-1), three trailing dots indicate that multiple values are allowed (1-n), a combination of both means 0 to n values.

Command line options are distinguished from parameters by a leading '+' or '-' sign, respectively. Usually, order and position of command line options are arbitrary (i.e. they can appear anywhere). However, if options are mutually exclusive the rightmost appearance is used. This behavior conforms to the standard evaluation rules of common Unix shells.

In addition, one or more command files can be specified using an '@' sign as a prefix to the filename (e.g. @command.txt). Such a command argument is replaced by the content of the corresponding text file (multiple whitespaces are treated as a single separator unless they appear between two quotation marks) prior to any further evaluation. Please note that a command file cannot contain another command file. This simple but effective approach allows one to summarize common combinations of options/parameters and avoids longish and confusing command lines (an example is provided in file <datadir>/dumppat.txt).

ENVIRONMENT

The termscu utility will attempt to load DICOM data dictionaries specified in the DCMDICTPATH environment variable. By default, i.e. if the DCMDICTPATH environment variable is not set, the file <datadir>/dicom.dic will be loaded unless the dictionary is built into the application (default for Windows).

The default behavior should be preferred and the DCMDICTPATH environment variable only used when alternative data dictionaries are required. The DCMDICTPATH environment variable has the same format as the Unix shell PATH variable in that a colon (':') separates entries. On Windows systems, a semicolon (';') is used as a separator. The data dictionary code will attempt to load each file specified in the DCMDICTPATH environment variable. It is an error if no data dictionary can be loaded.

COPYRIGHT

Copyright (C) 2005-2025 by OFFIS e.V., Escherweg 2, 26121 Oldenburg, Germany.